#ifndef IRSSI_GJS_FUNCTIONS_IRC_H_
#define IRSSI_GJS_FUNCTIONS_IRC_H_

#include "console-irc.h"
#include "xs-macros.h"

SCRIPT_FUN(irssi_irc_dcc_chat_find_id); /* string $id */
SCRIPT_FUN(irssi_irc_dcc_chat_send); /* Irssi::Irc::Dcc::Chat $dcc, string $data */
SCRIPT_FUN(irssi_irc_dcc_ctcp_message); /* Irssi::Irc::Server $server, string $target, Irssi::Irc::Dcc::Chat $chat, int $notice, string $msg */
SCRIPT_FUN(irssi_irc_dcc_find_request); /* int $type, string $nick, string $arg */
SCRIPT_FUN(irssi_irc_dcc_find_request_latest); /* int $type */
SCRIPT_FUN(irssi_irc_dcc_get_download_path); /* string $fname */
SCRIPT_FUN(irssi_irc_dcc_register_type); /* string $type */
SCRIPT_FUN(irssi_irc_dcc_str2type); /* string $str */
SCRIPT_FUN(irssi_irc_dcc_type2str); /* int $type */
SCRIPT_FUN(irssi_irc_dcc_unregister_type); /* string $type */
SCRIPT_FUN(irssi_irc_dccs); /*  */
SCRIPT_FUN(irssi_irc_get_mask); /* string $nick, string $address, int $flags */
SCRIPT_FUN(irssi_irc_modes_join); /* Irssi::Irc::Server $server, string $old, string $mode, int $channel */
SCRIPT_FUN(irssi_irc_notifies); /*  */
SCRIPT_FUN(irssi_irc_notifylist_add); /* string $mask, string $ircnets, int $away_check, int $idle_check_time */
SCRIPT_FUN(irssi_irc_notifylist_find); /* string $mask, string $ircnet */
SCRIPT_FUN(irssi_irc_notifylist_ison); /* string $nick, string $serverlist */
SCRIPT_FUN(irssi_irc_notifylist_remove); /* string $mask */

SCRIPT_FUN(irssi_irc_server_ctcp_send_reply); /* Irssi::Irc::Server $server, string $data */
SCRIPT_FUN(irssi_irc_server_get_channels); /* Irssi::Irc::Server $server */
SCRIPT_FUN(irssi_irc_server_isupport); /* Irssi::Irc::Server $server, string $name */
SCRIPT_FUN(irssi_irc_server_netsplit_find); /* Irssi::Irc::Server $server, string $nick, string $address */
SCRIPT_FUN(irssi_irc_server_netsplit_find_channel); /* Irssi::Irc::Server $server, string $nick, string $address, string $channel */
SCRIPT_FUN(irssi_irc_server_notifylist_ison_server); /* Irssi::Irc::Server $server, string $nick */
SCRIPT_FUN(irssi_irc_server_query_create); /* string $server_tag, string $nick, int $automatic */
SCRIPT_FUN(irssi_irc_server_redirect_event); /* Irssi::Irc::Server $server, string $command, int $count, string $arg, int $remote, string $failure_signal, SVptr $signals */
SCRIPT_FUN(irssi_irc_server_redirect_get_signal); /* Irssi::Irc::Server $server, string $prefix, string $event, string $args */
SCRIPT_FUN(irssi_irc_server_redirect_peek_signal); /* Irssi::Irc::Server $server, string $prefix, string $event, string $args */
SCRIPT_FUN(irssi_irc_server_redirect_register); /* string $command, int $remote, int $timeout, SVptr $start, SVptr $stop, SVptr $opt */
SCRIPT_FUN(irssi_irc_server_send_raw); /* Irssi::Irc::Server $server, string $cmd */
SCRIPT_FUN(irssi_irc_server_send_raw_first); /* Irssi::Irc::Server $server, string $cmd */
SCRIPT_FUN(irssi_irc_server_send_raw_now); /* Irssi::Irc::Server $server, string $cmd */
SCRIPT_FUN(irssi_irc_server_send_raw_split); /* Irssi::Irc::Server $server, string $cmd, int $nickarg, int $max_nicks */

SCRIPT_FUN(irssi_irc_channel_ban_get_mask);
SCRIPT_FUN(irssi_irc_channel_banlist_add);
SCRIPT_FUN(irssi_irc_channel_banlist_remove);
SCRIPT_FUN(irssi_irc_channel_bans);
SCRIPT_FUN(irssi_irc_channel_nick_insert);

#endif
