#include "irssi-bits.h"

/* copy paste from perl bindings */
void irssi_script_command(const char *cmd, SERVER_REC *server, WI_ITEM_REC *item)
{
    const char *cmdchars;
    char *sendcmd = (char *) cmd;

    if (*cmd == '\0')
        return;

    cmdchars = settings_get_str("cmdchars");
    if (strchr(cmdchars, *cmd) == NULL) {
        /* no command char - let's put it there.. */
        sendcmd = g_strdup_printf("%c%s", *cmdchars, cmd);
    }

    signal_emit("send command", 3, sendcmd, server, item);
    if (sendcmd != cmd) g_free(sendcmd);
}
