#ifndef MODULE_NAME

#define MODULE_NAME "js/core"
#include <irssi-config.h>
#include <irssi-version.h>
#include <common.h>
#include <core/core.h>
#include <core/modules.h>
#include <core/commands.h>
#include <core/session.h>
#include <fe-common/core/formats.h>
#include <fe-common/core/printtext.h>
#include <core/levels.h>
#include <core/settings.h>
#include <fe-text/statusbar.h>
#include <fe-text/mainwindows.h>
#include <fe-text/gui-entry.h>
#include <fe-text/gui-windows.h>
#include <fe-text/gui-printtext.h>
#include <fe-common/core/window-items.h>
#include <fe-common/core/window-activity.h>
#include <core/servers.h>
#include <core/chat-protocols.h>
#include <core/channels.h>
#include <core/queries.h>
#include <core/nicklist.h>
#include <core/chatnets.h>
#include <core/servers-setup.h>
#include <core/servers-reconnect.h>
#include <core/masks.h>
#include <core/misc.h>
#include <core/rawlog.h>
#include <core/log.h>
#include <core/ignore.h>
#include <core/special-vars.h>
#include <fe-common/core/fe-exec.h>
#include <core/pidwait.h>
#include <irc/core/irc.h>
#pragma push_macro("ishostflag")
#pragma push_macro("isnickflag")
#pragma push_macro("ischannel")
#undef ishostflag
#undef isnickflag
#undef ischannel
#include <irc/core/ctcp.h>
#include <irc/dcc/dcc-chat.h>

typedef struct _IOBJECT_HEADER {
    int type;
    int chat_type;
    char content[1];
} IOBJECT_HEADER;

#endif
